Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Ubuntu Setup..

  1. #1
    greatlooks is offline Starter Member
    Join Date
    May 2007
    Posts
    1
    Rep Power
    7

    Default Ubuntu Setup..

    Hi all

    i am trying to setup Zimbra on Ububtu 6.06 LTS version. i have installed all the required pre-requistes but still i get the following error when running the setup...
    Checking for prerequisites...
    NPTL...FOUND
    sudo...MISSING
    libidn...MISSING
    curl...MISSING
    fetchmail...MISSING
    gmp...MISSING
    /usr/lib/libstdc++.so.5...MISSING


    pls suggest what needs to be done.

    Thanks in advance.

  2. #2
    jholder's Avatar
    jholder is offline Former Zimbran
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    20

    Default

    Try
    which sudo

    and let's see what that does?

  3. #3
    DVan is offline Active Member
    Join Date
    Mar 2007
    Posts
    44
    Rep Power
    8

    Default

    It might also be worthwhile to make sure you have the latest updates:

    apt-get upgrade

  4. #4
    Mike Oliveri is offline Active Member
    Join Date
    May 2007
    Posts
    31
    Rep Power
    7

    Default

    sudo has to be there because Ubuntu relies on sudo to get anything done. You might want to do

    # sudo ./install.sh

    to make sure the installer is running with root privileges, and maybe some of those missing dependencies will be resolved. The path may be different for the root user than a standard user.

    I had to install fetchmail and a few of the libs before I could install, as well as perl. Note I couldn't install fetchmail until after running apt-get update because apt couldn't find fetchmail at first.

    Mike

  5. #5
    jholder's Avatar
    jholder is offline Former Zimbran
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    20

    Default

    The question wasn't whether sudo was installed, but which one the system is using

    Which ever one it is (hopefully the default), the Zimbra installer isn't finding it.

    Code:
    which sudo
    However, I agree with the two posts above, that you should make sure your system is up to date.

    Cheers!
    jh

  6. #6
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    11

    Default

    Make absolutely sure you're using 6.06!!!! The output above looks suspiciously similar to what you get if you try and install on 6.10 or 7.04, just a thought.

  7. #7
    mcintyrem is offline Starter Member
    Join Date
    Jul 2007
    Posts
    1
    Rep Power
    7

    Angry Zimbra on Ubuntu 7.04?

    Since you mention that this problem would occur on Ubuntu 6.10 and 7.04, is it at all possible to install Zimbra on the newest version of Ubuntu? I have installed all the available updates on my copy of Ubuntu 7.10. And of course, I have to use sudo in order to run the install.sh program. Why then would I be experiencing the same problems as previous members?

    I even tried installing Zimbra on a computer with openSUSE 10.2. Which version of Linux do I need to be able to install Zimbra without so many difficulties?

  8. #8
    dijichi2 is offline OpenSource Builder & Moderator
    Join Date
    Oct 2005
    Posts
    1,176
    Rep Power
    11

    Default

    sure, you can run zimbra on virtually any version of ubuntu, although a bit of hacking is necessary for later versions. if you're running 7.10, try editing /etc/lsb-release and changing DISTRIB_RELEASE=7.10 to DISTRIB_RELEASE=6 and running install.sh (through sudo) again.

    search the forum for running under feisty, I've posted workarounds for that too.

  9. #9
    randall is offline Advanced Member
    Join Date
    Jun 2007
    Location
    Philippines
    Posts
    193
    Rep Power
    7

    Default

    Quote Originally Posted by greatlooks View Post
    Hi all

    i am trying to setup Zimbra on Ububtu 6.06 LTS version. i have installed all the required pre-requistes but still i get the following error when running the setup...
    Checking for prerequisites...
    NPTL...FOUND
    sudo...MISSING
    libidn...MISSING
    curl...MISSING
    fetchmail...MISSING
    gmp...MISSING
    /usr/lib/libstdc++.so.5...MISSING


    pls suggest what needs to be done.

    Thanks in advance.
    Those are libraries needed and you have to install it prior to installing Zimbra.

    Login as root and issue the command
    apt-get install libidn curl libstdc++5 fetchmail
    sudo by default is installed.

    Hope this helps.

  10. #10
    auanton is offline Intermediate Member
    Join Date
    Mar 2007
    Location
    bz italy
    Posts
    22
    Rep Power
    8

    Default

    Login as root and issue the command
    Quote:
    apt-get install libidn curl libstdc++5 fetchmail


    Should that be "libidn11" for dapper ?

    (my apt-get can't find libidn, only libidn11 )

    a.

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. I got Ubuntu and Zimbra working
    By pacsteel in forum Installation
    Replies: 73
    Last Post: 06-23-2008, 11:41 AM
  2. RHCS setup
    By Klug in forum Installation
    Replies: 1
    Last Post: 05-29-2007, 12:59 AM
  3. Smooth install of Zimbra in Ubuntu 6.10 (Edgy Eft)
    By martinfst in forum Zimbra Success Stories
    Replies: 11
    Last Post: 05-01-2007, 01:15 PM
  4. Replies: 4
    Last Post: 11-07-2006, 07:12 AM
  5. Ubuntu Dapper Drake
    By nder in forum Users
    Replies: 0
    Last Post: 04-24-2006, 10:12 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •